package com.app.brush.guitar.ink.ballad

import androidx.room.Database
import androidx.room.Room
import androidx.room.RoomDatabase
import com.app.brush.guitar.ink.App
import com.app.brush.guitar.ink.drama.DichotomyDetails


@Database(
    entities = [DichotomyDetails::class],
    version = App.Companion.DB_VERSION,
    exportSchema = false
)
abstract class Brilliant : RoomDatabase() {

    abstract fun ThemesDao(): Curiosity



    companion object {
        val baseDataBase: Brilliant by lazy {
            Room.databaseBuilder(
                App.Companion.appInstance, Brilliant::class.java,
                App.Companion.DB_NAME
            )
            .build()
        }
    }

}